DEVICE_PRINTF(9)

NAME
device_printf - formatted output conversion

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
device_printf(device_t dev, const char *fmt, ...);

DESCRIPTION
The device_printf() function is a convenience interface to the printf(9) function. It outputs the name of the dev device, followed by a colon and a space, and then what printf(9) would print if you passed fmt and the remaining arguments to it.

RETURN VALUES
The device_printf() function returns the number of characters displayed.

SEE ALSO
printf(3), printf(9)